Subject: bug#7723: Process list gone wild

From: Lennart Borgman <[email-masked]>
Date: Fri, 24 Dec 2010 13:17:40 +0100

On Fri, Dec 24, 2010 at 12:33 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Lennart Borgman <[email-masked]>
>> Date: Fri, 24 Dec 2010 11:07:16 +0100
>> Cc:
>>
>> Got this when I tried to exit Emacs:
>>
>> Debugger entered--Lisp error: (wrong-type-argument char-or-string-p
>> ("c:/emacs/EmacsW32/nxhtml/etc/wds/DesktopSearch.rb" "c:/" "journey"))
>>   list-processes(t)
>>   save-buffers-kill-emacs(nil)
>>   save-buffers-kill-terminal(nil)
>>   call-interactively(save-buffers-kill-terminal nil nil)
>
> Lennart, _PLEASE_ make a point of using report-emacs-bug to report
> bugs.  You consistently don't do that, and thus your reports don't
> include important information, such as the Emacs version, the date of
> its build (which hints on the code base), etc.  Coming from such a
> veteran Emacs user and developer, it is unreasonable.

Ah, yes, sorry. I think this is enough here for the version:

GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) from trunk 2010-10-19

I think the problem is missing error handling in the C code. I
frequently ran out of some OS resources (because of a long standing
bug in windows xp) and those things does not seem to be checked in the
C sources always.